Upgrade to 9.2

This upgrade is necessary if you wish to use the Process Framework messaging framework. If you do not wish to take advantage of this functionality, the following upgrade is not necessary. This upgrade may be performed on any Process Framework database that uses message processing. While the upgrade discussed on this page is not required, you MUST execute the upgrade script.

Use these upgrade instructions if you are:

  • Wanting to use the messaging framework available in Session Manager and Workflow Manager

  • Using a version of Session Manager or Workflow Manager older than 9.1.2

  • Upgrading to a version of Session Manager or Workflow Manager that is 9.1.2 or higher

These instructions are intended for GIS administrators who currently are in production with a previous version of Session Manager or Workflow Manager and who want to upgrade to the most recent version of the ArcFM Solution. This document does not apply if you are not currently using Session Manager or Workflow Manager and will be implementing it with the latest release of ArcFM (i.e., you are new to ArcFM and are starting with the current release). If this is the case, refer to Set Up Session Manager or Set Up Workflow Manager.

If you are upgrading your Process Framework, you may also need to use the Process Framework Database Upgrade tool.

Upgrade to 9.2

With release 9.2, changes were made to allow Process Framework to process messages from a third-party source (e.g., WMS). The following role is necessary only if you wish to use ArcFM Solution's message processing functionality.

New Role

You will need to create the following role using the Process Framework Administration Tool. The following must appear in the Role column exactly as it appears below. Any Role Name may be assigned. No extension needs to be assigned.

  • MESSENGER

QR code for this page

Was this helpful?